<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmFolder5 Interface
See Also Members Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : IEdmFolder5 Interface

Visual Basic
C#
C++/CLI

Allows you to access the contents of a file system folder in the vault.

NOTE: Click the Members link, located near the top of the topic, to see this interface's methods and properties.

# Syntax

Visual Basic |
--- | ---

    Public Interface IEdmFolder5
       Inherits IEdmObject5

C# |
--- | ---

    public interface IEdmFolder5 : IEdmObject5

C++/CLI |
--- | ---

    public interface class IEdmFolder5 : public IEdmObject5

# Example

Traverse Folders and Files in Vault (C#)
Traverse Folders and Files in Vault (VB.NET)
Find Data Cards with Description Variable (C#)
Find Data Cards with Description Variable (VB.NET)
Get File References for a File (C#)
Get File References for a File (VB.NET)

# Remarks

This interface:

- inherits from IEdmObject5.
- is extended by IEdmFolder6, which provides the ability to add files to a folder, move a folder, and rename a folder.

Use this interface to enumerate the files and subfolders of a folder.

Access the contents of a folder's data card by assigning an IEdmEnumeratorVariable5 pointer to an IEdmFolder5 object.

To update multiple folder data cards, use IEdmBatchUpdate2 which is more efficient than updating each folder data card using this interface.

# Accessors

IEdmFile5::GetNextFolder

IEdmFile5::LockedInFolder

IEdmFolder5::AddFolder

IEdmFolder5::CreateFolderPath

IEdmFolder5::GetNextSubFolder

IEdmFolder5::GetSubFolder

IEdmFolder5::ParentFolder

IEdmLabel5::GetNextFolder

IEdmReference5::Folder

IEdmReference5::LockedInFolder

IEdmVault5::BrowseForFolder

IEdmVault5::GetFileFromPath

IEdmVault5::GetFolderFromPath

IEdmVault5::GetObject

IEdmVault5::GetFileFromPath

IEdmVault5::GetFolderFromPath

IEdmVault5::RootFolder

# See Also

####

IEdmFolder5 Members
EPDM.Interop.epdm Namespace